name: cod4

services:
  cod4-1:
    image: cod4x-updated
    container_name: cod4-1
    restart: unless-stopped
    ports:
      - "28960:28960/udp"
    volumes:
      - /opt/cod4/main:/home/user/cod4/main
      - /opt/cod4/mods:/home/user/cod4/mods
      - /opt/cod4/zone:/home/user/cod4/zone
      - /opt/cod4/usermaps:/home/user/cod4/usermaps
      - /opt/cod4/logs:/home/user/cod4/mods/pml220/logs
      - /opt/cod4/logs/server1_games.log:/home/user/cod4/mods/pml220/games_mp.log
      - /opt/cod4/config/server1.cfg:/home/user/cod4/mods/pml220/server.cfg
    command: >
      +set dedicated 2
      +set net_port 28960
      +set sv_cheats "0"
      +set sv_pure "0"
      +set loc_forceEnglish "1"
      +set fs_game mods/pml220
      +set g_logSync "1"
      +exec server.cfg
      +map_rotate
    security_opt:
      - apparmor=unconfined

  cod4-2:
    image: cod4x-updated
    container_name: cod4-2
    restart: unless-stopped
    ports:
      - "28961:28961/udp"
    volumes:
      - /opt/cod4/main:/home/user/cod4/main
      - /opt/cod4/mods:/home/user/cod4/mods
      - /opt/cod4/zone:/home/user/cod4/zone
      - /opt/cod4/usermaps:/home/user/cod4/usermaps
      - /opt/cod4/logs:/home/user/cod4/mods/pml220/logs
      - /opt/cod4/logs/server2_games.log:/home/user/cod4/mods/pml220/games_mp.log
      - /opt/cod4/config/server2.cfg:/home/user/cod4/mods/pml220/server.cfg
    command: >
      +set dedicated 2
      +set net_port 28961
      +set sv_cheats "0"
      +set sv_pure "0"
      +set loc_forceEnglish "1"
      +set fs_game mods/pml220
      +set g_logSync "1"
      +exec server.cfg
      +map_rotate
    security_opt:
      - apparmor=unconfined

  cod4-3:
    image: cod4x-updated
    container_name: cod4-3
    restart: unless-stopped
    ports:
      - "28962:28962/udp"
    volumes:
      - /opt/cod4/main:/home/user/cod4/main
      - /opt/cod4/mods:/home/user/cod4/mods
      - /opt/cod4/zone:/home/user/cod4/zone
      - /opt/cod4/usermaps:/home/user/cod4/usermaps
      - /opt/cod4/logs:/home/user/cod4/mods/pml220/logs
      - /opt/cod4/logs/server3_games.log:/home/user/cod4/mods/pml220/games_mp.log
      - /opt/cod4/config/server3.cfg:/home/user/cod4/mods/pml220/server.cfg
    command: >
      +set dedicated 2
      +set net_port 28962
      +set sv_cheats "0"
      +set sv_pure "0"
      +set loc_forceEnglish "1"
      +set fs_game mods/pml220
      +set g_logSync "1"
      +exec server.cfg
      +map_rotate
    security_opt:
      - apparmor=unconfined

  cod4-4:
    image: cod4x-updated
    container_name: cod4-4
    restart: unless-stopped
    ports:
      - "28963:28963/udp"
    volumes:
      - /opt/cod4/main:/home/user/cod4/main
      - /opt/cod4/mods:/home/user/cod4/mods
      - /opt/cod4/zone:/home/user/cod4/zone
      - /opt/cod4/usermaps:/home/user/cod4/usermaps
      - /opt/cod4/logs:/home/user/cod4/mods/gungame/logs
      - /opt/cod4/logs/server4_games.log:/home/user/cod4/mods/gungame/games_mp.log
      - /opt/cod4/config/server4.cfg:/home/user/cod4/mods/gungame/server.cfg
    command: >
      +set dedicated 2
      +set net_port 28963
      +set sv_cheats "0"
      +set sv_pure "0"
      +set loc_forceEnglish "1"
      +set fs_game mods/gungame
      +set g_logSync "1"
      +exec server.cfg
      +map_rotate
    security_opt:
      - apparmor=unconfined

  cod4-5:
    image: cod4x-updated
    container_name: cod4-5
    restart: unless-stopped
    ports:
      - "28964:28964/udp"
    volumes:
      - /opt/cod4/main:/home/user/cod4/main
      - /opt/cod4/mods:/home/user/cod4/mods
      - /opt/cod4/zone:/home/user/cod4/zone
      - /opt/cod4/usermaps:/home/user/cod4/usermaps
      - /opt/cod4/logs:/home/user/cod4/mods/pml220_sniper/logs
      - /opt/cod4/logs/server5_games.log:/home/user/cod4/mods/pml220_sniper/games_mp.log
      - /opt/cod4/config/server5.cfg:/home/user/cod4/mods/pml220_sniper/server.cfg
    command: >
      +set dedicated 2
      +set net_port 28964
      +set sv_cheats "0"
      +set sv_pure "0"
      +set loc_forceEnglish "1"
      +set fs_game mods/pml220_sniper
      +set g_logSync "1"
      +exec server.cfg
      +map_rotate
    security_opt:
      - apparmor=unconfined
